
-- Guildbank functionality by Mikk

local addon = assert(_G.BagginsAnywhereBags)

function addon:GUILDBANKFRAME_CLOSED()
	self:UnregisterEvent('GUILDBANKFRAME_CLOSED')	-- gets re-regged when bank is opened
	
	local guildName = "<"..GetGuildInfo("player")..">"
	local r = self.db.realm
	
	r[guildName] = r[guildName] or {}
	r[guildName].Money = GetGuildBankMoney()
	r[guildName].BankSlots = nil
	
	addon.options.args[guildName] = addon.options.args[guildName] or {}
	addon.options.args[guildName].args = addon.options.args[guildName].args or {}
	
	
	for tab=1,GetNumGuildBankTabs() do
		local name, icon, isViewable, canDeposit, numWithdrawals, remainingWithdrawals = GetGuildBankTabInfo(tab);
		
		addon.options.args[guildName].args[name] = nil
		if isViewable then
			local data = {}
			r[guildName][name] = data
			for slot=1,MAX_GUILDBANK_SLOTS_PER_TAB do
				local link = GetGuildBankItemLink(tab, slot) 
				if link then
					local texture,count = GetGuildBankItemInfo(tab, slot)
					data[slot] = {
						link,
						count,
						texture,
						1,
						name
					}
				end
			end
			self:AddBag(guildName, name, data)
		end
	end
	
	

end

